Bug 652582 - (pandoc) Review Request: pandoc - Markdown markup converter
Review Request: pandoc - Markdown markup converter
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
ready
:
Depends On: 648100 ghc-zip-archive ghc-texmath
Blocks: F15Target Haskell-pkg-reviews
  Show dependency treegraph
 
Reported: 2010-11-12 04:31 EST by Jens Petersen
Modified: 2011-02-08 17:57 EST (History)
4 users (show)

See Also:
Fixed In Version: pandoc-1.6.0.1-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-08 17:57:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)
Patch to fix man page permission issue (342 bytes, patch)
2011-01-30 02:30 EST, Narasimhan
no flags Details | Diff

  None (edit)
Description Jens Petersen 2010-11-12 04:31:12 EST
Spec URL: http://petersen.fedorapeople.org/pandoc/pandoc.spec
SRPM URL: http://petersen.fedorapeople.org/pandoc/pandoc-1.6-1.fc14.src.rpm
Description: 
Pandoc is a Haskell library for converting from one markup format to another,
and a command-line tool that uses this library. It can read markdown and
(subsets of) reStructuredText, HTML, and LaTeX, and it can write markdown,
reStructuredText, HTML, LaTeX, ConTeXt, Docbook, OpenDocument, ODT, RTF,
MediaWiki, groff man pages, EPUB, and S5 and Slidy HTML slide shows.
Comment 1 Jens Petersen 2011-01-14 00:44:29 EST
Spec URL: http://petersen.fedorapeople.org/pandoc/pandoc.spec
SRPM URL: http://petersen.fedorapeople.org/pandoc/pandoc-1.6.0.1-1.fc14.src.rpm

Updated version, description and packaging to cabal2spec-0.22.4.
Comment 3 Narasimhan 2011-01-30 02:30:34 EST
Created attachment 475991 [details]
Patch to fix man page permission issue
Comment 4 Narasimhan 2011-01-30 02:31:58 EST
I get these errors from rpmlint 

pandoc.x86_64: E: non-readable /usr/share/man/man1/markdown2pdf.1.gz 0600L
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

pandoc.x86_64: E: non-readable /usr/share/man/man1/pandoc.1.gz 0600L
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

Attached a patch that fixes these.

Thanks
Comment 5 Narasimhan 2011-01-30 03:29:06 EST
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i *.rpm ../pandoc.spec 
ghc-pandoc.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-pandoc.x86_64: W: spelling-error %description -l en_US reStructuredText -> restructured Text, restructured-text, restructure
The value of this tag appears to be misspelled. Please double-check.

ghc-pandoc.x86_64: W: spelling-error %description -l en_US groff -> gruff, gr off, gr-off
The value of this tag appears to be misspelled. Please double-check.

ghc-pandoc-devel.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-pandoc-devel.x86_64: W: spelling-error %description -l en_US reStructuredText -> restructured Text, restructured-text, restructure
The value of this tag appears to be misspelled. Please double-check.

ghc-pandoc-devel.x86_64: W: spelling-error %description -l en_US groff -> gruff, gr off, gr-off
The value of this tag appears to be misspelled. Please double-check.

ghc-pandoc-prof.x86_64: E: devel-dependency ghc-pandoc-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-pandoc-prof.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-pandoc-prof.x86_64: W: spelling-error %description -l en_US reStructuredText -> restructured Text, restructured-text, restructure
The value of this tag appears to be misspelled. Please double-check.

ghc-pandoc-prof.x86_64: W: spelling-error %description -l en_US groff -> gruff, gr off, gr-off
The value of this tag appears to be misspelled. Please double-check.

ghc-pandoc-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-pandoc-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-7.0.1/pandoc-1.6.0.1/libHSpandoc-1.6.0.1_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

pandoc.src: W: spelling-error %description -l en_US reStructuredText -> restructured Text, restructured-text, restructure
The value of this tag appears to be misspelled. Please double-check.

pandoc.src: W: spelling-error %description -l en_US groff -> gruff, gr off, gr-off
The value of this tag appears to be misspelled. Please double-check.

pandoc.x86_64: W: spelling-error %description -l en_US reStructuredText -> restructured Text, restructured-text, restructure
The value of this tag appears to be misspelled. Please double-check.

pandoc.x86_64: W: spelling-error %description -l en_US groff -> gruff, gr off, gr-off
The value of this tag appears to be misspelled. Please double-check.

pandoc.x86_64: E: non-readable /usr/share/man/man1/markdown2pdf.1.gz 0600L
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

pandoc.x86_64: E: non-readable /usr/share/man/man1/pandoc.1.gz 0600L
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

5 packages and 1 specfiles checked; 3 errors, 15 warnings.

Attached a patch that fixes the man page permission issue.

[+]MUST: The package must be named according to the Package Naming Guidelines.
Pandoc package provides a binary.Hence package not named as ghc-%{pkg_name}
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK. GPLv2+
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK based on cabal2spec-0.22.4
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes, provided patch to fix man page issues.
        changelogs - OK
        Source url tag  - OK, validated.
        Buildroot is ignored - present anyway. OK
        %clean is ignored - present anyway. OK
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, present in devel package.

Can an alternative summary be provided?

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
The license is GPLv2. All the haskell source files (except markdown2pdf.hs) states that license is GPLv2.The cabal file mentions license as GPL.
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
Included COPYRIGHT and COPYING file. The COPYING file has license text of GPL version 2.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum pandoc-1.6.0.1.tar.gz 
d41d8cd98f00b204e9800998ecf8427e  pandoc-1.6.0.1.tar.gz

md5sum pandoc-1.6.0.1-1.fc15.src/pandoc-1.6.0.1.tar.gz 
d19a630462595941b3100dff6f839aa3  pandoc-1.6.0.1-1.fc15.src/pandoc-1.6.0.1.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on i686 and x86_64. http://koji.fedoraproject.org/koji/taskinfo?taskID=2741385
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in
ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
Validated. 
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
checked with ls -lR
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
From yum remove ghc-pandoc command
Processing Dependency: ghc-pandoc = 1.6.0.1-1.fc14 for package: ghc-pandoc-devel-1.6.0.1-1.fc14.x86_64

Processing Dependency: ghc-pandoc-devel = 1.6.0.1-1.fc14 for package: ghc-pandoc-prof-1.6.0.1-1.fc14.x86_64

[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packages. Install went fine. 
pandoc --help, markdown2pdf --help list the help options. man pages for these two executables come up properly.
Imported module Text.Pandoc.Blocks into ghci. Works fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.

Please apply the patch to correct the man page permission problem.

If possible, could you provide a summary that explains in one line what pandoc is about? 
"Pandoc provides markup conversion tools" is my suggestion.
Comment 6 Jens Petersen 2011-01-30 04:59:10 EST
Thank you for the review and patch! :)

Ok I will also try to make the summary a little more descriptive -
I guess pandoc does so much it is hard to capture it all in
the summary but ok perhaps the current one is a bit too simple.
I think it is recommended not to repeat the package name
in the package summary to avoid repetition.


New Package SCM Request
=======================
Package Name: pandoc
Short Description: Text conversion tool for markdown and markup
Owners: petersen
Branches: f13 f14 el6
InitialCC: haskell-sig
Comment 7 Dennis Gilmore 2011-01-30 19:03:40 EST
Git done (by process-git-requests).
Comment 8 Jens Petersen 2011-01-31 01:04:49 EST
Imported and built for rawhide.
Comment 9 Fedora Update System 2011-01-31 01:28:53 EST
pandoc-1.6.0.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pandoc-1.6.0.1-2.fc14
Comment 10 Fedora Update System 2011-01-31 01:29:02 EST
pandoc-1.6.0.1-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/pandoc-1.6.0.1-2.fc13
Comment 11 Fedora Update System 2011-01-31 14:53:16 EST
pandoc-1.6.0.1-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pandoc'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/pandoc-1.6.0.1-2.fc14
Comment 12 Fedora Update System 2011-02-08 17:56:58 EST
pandoc-1.6.0.1-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2011-02-08 17:57:23 EST
pandoc-1.6.0.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.